summaryrefslogtreecommitdiff
path: root/nsswitch
diff options
context:
space:
mode:
authorRalph Boehme <slow@samba.org>2018-11-27 20:32:09 +0100
committerKarolin Seeger <kseeger@samba.org>2018-12-07 10:28:30 +0100
commitd85ce20d988233968b48193e0193132892ce1323 (patch)
treea336c289219f3d4af2ccf56e8c99ba4081b063f6 /nsswitch
parentc81921da2e5b2c42c9db25cdbb443891656a4df7 (diff)
downloadsamba-d85ce20d988233968b48193e0193132892ce1323.tar.gz
selftest: test wbinfo -n and --gid-info with "NT Authority"
BUG: https://bugzilla.samba.org/show_bug.cgi?id=12164 Signed-off-by: Ralph Boehme <slow@samba.org> Reviewed-by: David Mulder <dmulder@suse.com> Reviewed-by: Andreas Schneider <asn@samba.org> (cherry picked from commit c46b6b111e8adcd7cf029e5c3293cbdc471793db)
Diffstat (limited to 'nsswitch')
-rwxr-xr-xnsswitch/tests/test_wbinfo.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/nsswitch/tests/test_wbinfo.sh b/nsswitch/tests/test_wbinfo.sh
index 67660e50fc8..2ac83828a0e 100755
--- a/nsswitch/tests/test_wbinfo.sh
+++ b/nsswitch/tests/test_wbinfo.sh
@@ -125,6 +125,24 @@ else
echo "success: wbinfo -n check for sane mapping"
fi
+echo "test: wbinfo -n NT Authority/Authenticated Users"
+$wbinfo -n "NT Authority/Authenticated Users"
+if [ $? -ne 0 ] ; then
+ echo "failure: wbinfo -n NT Authority/Authenticated Users"
+ failed=`expr $failed + 1`
+else
+ echo "success: wbinfo -n NT Authority/Authenticated Users"
+fi
+
+echo "test: wbinfo --group-info NT Authority/Authenticated Users"
+$wbinfo --group-info "NT Authority/Authenticated Users"
+if [ $? -ne 0 ] ; then
+ echo "failure: wbinfo --group-info NT Authority/Authenticated Users"
+ failed=`expr $failed + 1`
+else
+ echo "success: wbinfo --group-info NT Authority/Authenticated Users"
+fi
+
testit "wbinfo -U against $TARGET" $wbinfo -U 30000 || failed=`expr $failed + 1`
echo "test: wbinfo -U check for sane mapping"